ur_rna.StructureEditor.services.drawing.export

## Class GraphicsOp.DrawImageOp

- java.lang.Object
- - ur_rna.StructureEditor.services.drawing.export.GraphicsOp.ActionOp
  - - ur_rna.StructureEditor.services.drawing.export.GraphicsOp.DrawImageOp

- All Implemented Interfaces:
    GraphicsOp
  Enclosing interface:
    GraphicsOp

      public static class GraphicsOp.DrawImageOp
      extends GraphicsOp.ActionOp

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface ur_rna.StructureEditor.services.drawing.export.GraphicsOp

      `GraphicsOp.ActionOp, GraphicsOp.BackgroundOp, GraphicsOp.ClearHintsOp, GraphicsOp.ClearOp, GraphicsOp.ClipOp, GraphicsOp.ColorOp, GraphicsOp.CompositeOp, GraphicsOp.ControlOp, GraphicsOp.DrawImageOp, GraphicsOp.DrawShapeOp, GraphicsOp.DrawStringOp, GraphicsOp.EndOp, GraphicsOp.FontOp, GraphicsOp.GroupEndOp, GraphicsOp.GroupStartOp, GraphicsOp.HintOp, GraphicsOp.InitOp, GraphicsOp.PaintOp, GraphicsOp.StateOp, GraphicsOp.StrokeOp, GraphicsOp.TransformOp, GraphicsOp.XorModeOp`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `height`
    `private java.awt.Image` | `img`
    `private int` | `originalHeight`
    `private int` | `originalWidth`
    `private int` | `width`
    `private int` | `x`
    `private int` | `y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawImageOp(java.awt.Image img, int originalWidth, int originalHeight, int x, int y, int width, int height)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()`
    `java.awt.Image` | `getImage()`
    `int` | `getOriginalHeight()`
    `int` | `getOriginalWidth()`
    `int` | `getWidth()`
    `int` | `getX()`
    `int` | `getY()`
    `void` | `replay(java.awt.Graphics2D g)`

    - ### Methods inherited from class ur_rna.StructureEditor.services.drawing.export.GraphicsOp.ActionOp

      `apply`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### height

          private int height

    - #### img

          private java.awt.Image img

    - #### originalHeight

          private int originalHeight

    - #### originalWidth

          private int originalWidth

    - #### width

          private int width

    - #### x

          private int x

    - #### y

          private int y

  - ### Constructor Detail

    - #### DrawImageOp

          public DrawImageOp(java.awt.Image img,
                             int originalWidth,
                             int originalHeight,
                             int x,
                             int y,
                             int width,
                             int height)

  - ### Method Detail

    - #### getHeight

          public int getHeight()

    - #### getImage

          public java.awt.Image getImage()

    - #### getOriginalHeight

          public int getOriginalHeight()

    - #### getOriginalWidth

          public int getOriginalWidth()

    - #### getWidth

          public int getWidth()

    - #### getX

          public int getX()

    - #### getY

          public int getY()

    - #### replay

          public void replay(java.awt.Graphics2D g)

      Specified by:
        `replay` in interface `GraphicsOp`
      Specified by:
        `replay` in class `GraphicsOp.ActionOp`